Subject: [DGD] Current state of MUD-dom
From: DGD Mailing List (Christopher Allen)
Date: Mon Aug 23 17:29:02 2004

Jas wrote:
> David Jackson wrote:
>> A good OLC system for LP MUDs will only be useful if it's flexible
>> enough to allow for creative design, and powerful enough to handle
>> multiple edits and re-edits.  My feeble attempts at room-makers /
>> object-makers so far hasn't produced anything that I felt was
>> flexible enough for anyone besides myself to use.
>
>
> I've come to realize that a text-based game really needs three layers
> of game management / support staff:  (1) administrative types to
> manage the game, keep the other staff on task, and deal with the
> day-to-day issues; (2) programmer types to code the game; and (3)
> artisitic/creative types ("artsy fartsies") to provide
> grammatically-correct and coherent content.
>
> Sometimes these roles can co-exist in the same individual, but my
> experience has been that very few people possess all three at the same
> proficiency levels.  Personally, I tend to be especially strong on
> item one, of average capability on item two, and well-below-average
> on item three.... except in rare moments of creative genius, usually
> while under the influence of whatever the chemical-du-jour was in
> college or after extended periods of sleep deprivation.

I agree with you as to the three types, but be aware that to our experience the
management of the three types may end up different.

What has evolved over the last 4+ years at Skotos is the following:

IC Guides -- these are the in-game people who help new players while
in-character. In Marrach it is the Awakeners, in The Eternal City they are the
Auxilli, in Grendel's Revenge they are the Mentors, and in Lovecraft Country
they are the Miskatonic Welcoming Committee. These people need limited program
support -- typically a chat channel that only newbies and IC guides share, and
maybe some ability to deal with common in-character problems, for instance in
Marrach they can spawn basic clothing.

StoryGuides -- these are the volunteers that help with Out-of-Character,
particularly problem newbies, player controversies, and OOC bugs. These people
have their own chat channel, and more program support, for instance to be able
to restrain characters, mute them, put them in OOC jail, and/or ban players. The
skills and more importantly the ability to deal with the stress of this job
makes it them relatively rare.

StoryPlotters -- these are the people that deal with the IC admin of the game.
Plots, quests, tournaments, etc. They fall more into the 'artsy-fartsy-creative'
category you mention above, but some are more people oriented, some are more
plot-object oriented.

StoryCoders -- these are the people that code new stuff in the game.

StoryHost -- this is the single game lead, the person in charge of final
decisions. Sometimes they have more coder skills, sometimes more plotter skills,
sometimes guide skills, but most importantly they need to understand and be able
to work with them all. We discovered you really have to have one person in
charge.

We used to have a separate catagory of people that built stuff but were not
coders, but that didn't seem to work out, so some of these fall into the
StoryPlotter category and others are StoryCoders.

-- Christopher Allen